Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.environment
Class SteppedEnvironment

    java.lang.Object
      jason.environment.Environment
          jason.environment.TimeSteppedEnvironment
              jason.environment.SteppedEnvironment

Deprecated. this class was renamed to TimeSteppedEnvironment

    public class SteppedEnvironment

extends TimeSteppedEnvironment

Nested Class Summary

Nested classes/interfaces inherited from class jason.environment.TimeSteppedEnvironment
`TimeSteppedEnvironment.OverActionsPolicy`

Field Summary

Fields inherited from class jason.environment.Environment
`executor`

Constructor Summary
`SteppedEnvironment()` Deprecated.

Method Summary

Methods inherited from class jason.environment.TimeSteppedEnvironment
`getActionInSchedule, getNbAgs, getPercepts, getStep, init, requiredStepsForAction, scheduleAction, setNbAgs, setOverActionsPolicy, setSleep, stepFinished, stepStarted, stop, testEndCycle, updateAgsPercept, updateNumberOfAgents`

Methods inherited from class jason.environment.Environment
`addPercept, addPercept, clearPercepts, clearPercepts, containsPercept, containsPercept, executeAction, getEnvironmentInfraTier, getLogger, informAgsEnvironmentChanged, informAgsEnvironmentChanged, isRunning, removePercept, removePercept, removePerceptsByUnif, removePerceptsByUnif, setEnvironmentInfraTier`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SteppedEnvironment

    public SteppedEnvironment()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD